Loading...
Searching...
No Matches
TriggerModeMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getFree ()
void | getAuto ()
void | getNorm ()
void | getTag ()

## Signals

void | whichTrigger (gr::qtgui::trigger_mode mode)

## Public Member Functions

| TriggerModeMenu (QWidget *parent)
| ~TriggerModeMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getAction (gr::qtgui::trigger_mode mode)

## Constructor & Destructor Documentation

## TriggerModeMenu()

TriggerModeMenu::TriggerModeMenu | ( | QWidget * | parent | ) |

inline

References getAuto(), getFree(), getNorm(), and getTag().

## ~TriggerModeMenu()

TriggerModeMenu::~TriggerModeMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction() [1/2]

QAction * TriggerModeMenu::getAction | ( | gr::qtgui::trigger_mode | mode | ) |

inline

References gr::qtgui::TRIG_MODE_AUTO, gr::qtgui::TRIG_MODE_FREE, gr::qtgui::TRIG_MODE_NORM, and gr::qtgui::TRIG_MODE_TAG.

## getAction() [2/2]

QAction * TriggerModeMenu::getAction | ( | unsigned int | which | ) |

inline

## getAuto

void TriggerModeMenu::getAuto | ( |  | ) |

inline slot

References gr::qtgui::TRIG_MODE_AUTO, and whichTrigger().

Referenced by TriggerModeMenu().

## getFree

void TriggerModeMenu::getFree | ( |  | ) |

inline slot

References gr::qtgui::TRIG_MODE_FREE, and whichTrigger().

Referenced by TriggerModeMenu().

## getNorm

void TriggerModeMenu::getNorm | ( |  | ) |

inline slot

References gr::qtgui::TRIG_MODE_NORM, and whichTrigger().

Referenced by TriggerModeMenu().

## getNumActions()

int TriggerModeMenu::getNumActions | ( |  | ) | const

inline

## getTag

void TriggerModeMenu::getTag | ( |  | ) |

inline slot

References gr::qtgui::TRIG_MODE_TAG, and whichTrigger().

Referenced by TriggerModeMenu().

## whichTrigger

void TriggerModeMenu::whichTrigger | ( | gr::qtgui::trigger_mode | mode | ) |

signal

Referenced by getAuto(), getFree(), getNorm(), and getTag().

The documentation for this class was generated from the following file:

- form_menus.h